MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000410Xdebug(No Category)public2008-10-02 05:322010-02-17 00:31
Reporterdyrathror 
Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000410: Apache crashes on Vista with xDebug installed
DescriptionIm working with Netbeans PHP on Vista. In NB 6.5b and the NB nightly build with Apache 2.2.8 I got connection losses to xDebug so I upgraded to Apache 2.2.9. Now Apache crashes already without initiating a debug session when I try to browse my PHP website. When I uninstall xDebug everything runs fine (only that I cannot debug any more).
TagsNo tags attached.
Operating SystemWindows Vista
PHP Version5.2.6
Attached Files

- Relationships
has duplicate 0000449resolvedderick vista sp1 x64 xdebug 2.0.4 in xampp 1.7.1 apache crashes randomly 
has duplicate 0000438resolvedderick xDebug Crashes PHP When Enabled 
has duplicate 0000481resolvedderick Using 2.0.5 windows build crashes w/ debugger enabled 
has duplicate 0000436resolvedderick XDebug crash with Apache 2.2 with PHP 5.2.9-1 
has duplicate 0000452resolvedderick PHP 5.3 TS VC9 crashes when Xdebug is enabled 
has duplicate 0000399resolvedderick Error 502.2 Bad Gateway always thrown on Vista 
has duplicate 0000454resolvedderick Official XDebug binary crash with PHP 5.3.0 
has duplicate 0000430resolvedderick php.exe crash (Access violation) when debug_enable( ) called 
has duplicate 0000426resolvedderick Xdebugger crashes at the time of debugging 
has duplicate 0000397resolvedderick XDebug is crashing Apache on Windows 
has duplicate 0000387resolvedderick xdebug 2.0.3 causes crash Apache server 2.2.9 
has duplicate 0000383resolvedderick PHP crash: PHP has encountered an Access Violation at 01948493 
has duplicate 0000377resolvedderick Access Violation at 00DA8493 
has duplicate 0000350resolvedderick Apache crashes with xdebug 2.0.2 as Zend ext. on Vista 

-  Notes
(0000879)
bugsbunny (reporter)
2008-10-02 21:29
edited on: 2008-10-02 21:30

Same here. I'm using XAMPP v1.6.8 which contains:
# Apache HTTPD 2.2.9
# PHP 5.2.6

I added:
# php_xdebug-2.0.3-5.2.5.dll

And Eclipse PDT as debug client.

Apache crashes frequently with the xdebug dll added to the php.ini, and never crashes when the xdebug dll is removed....

edited on: 2008-10-02 21:30
(0000880)
dyrathror (reporter)
2008-10-08 02:56

I went back to Apache 2.2.6 and this version works fine.
(0000908)
Riptide559 (reporter)
2009-01-31 06:12

I also have the same problem.

xdebug2.0.x will crash Apache intermittently on Vista. Is anyone looking into this?
(0000909)
victor (reporter)
2009-02-01 10:21

I also have the same problem.xdebug2.0.x will crash Apache intermittently on Vista especially with phpMyAdmin. It works fine with XP. The last version of XDebug doesn't solve the problem.
(0000912)
kpym (reporter)
2009-02-11 10:34

I think this is a problem with php5apacheX_X.dll and not with XDebug. Because I have the same problem with WAMP under Vista with both XDebug and ZendDebug. But when I changer http.conf in a way to use php-cgi.exe instead php5apache2_2.dll, everything became fine.
(0000913)
Riptide559 (reporter)
2009-02-11 22:28

How exactly did you change your httpd.conf to get it to work? Simply replacing the loadmodule line with php-cgi.exe instead of php5apacheX_X.dll does not work.
(0000914)
kpym (reporter)
2009-02-12 17:45

To use Apache with php-cgi.exe you have to :

1) Comment the following line in httpd.conf :

#LoadModule php5_module "path_to_php_dir/php5apacheX_X.dll"

2) Follow the instructions in this page :

http://windows.fyicenter.com/view.php?ID=68&R=71 [^]

Note : If you use WAMP, the php.ini file used by php-cgi.exe is the one that is in the same folder (not the one used by php5apacheX_X.dll which is in the apache folder).
(0000915)
Riptide559 (reporter)
2009-02-19 02:03

Doing the above - having apache use php-cgi.exe instead of the .dll *does* seem to allow the use of Xdebug to work without it crashing apache in Vista.

*However* the performance of php serving pages has dramatically gone down. The main page content comes up quickly, but it takes a long time before Firefox says the page is done loading.

What would cause this performance change?

What is the difference between having apache use the PHP .dll versus running PHP-CGI.exe?
(0000916)
Riptide559 (reporter)
2009-02-19 02:07

Also, dyrathror, I tried going back to using Apache 2.2.6 via WAMP and it made no difference. Xdebug still causes apache2.2.6 to hang when its installed as a PHP extension.
(0000917)
dyrathror (reporter)
2009-02-19 03:59

Hmmm, on my machine it seemed to work with apache 2.2.6.

But anyway I switched to use php-cgi as well because I am using the PHP/Java-Bridge which is working with php-cgi and I shifted my work into my Glassfish v3 app-server. Like this it works fine for me :)
(0000918)
Riptide559 (reporter)
2009-02-19 04:50

The slowdown of using PHP-CGI.exe also made my Ajax functionality stop working.

I don't know where the problem lies, but my hope is that Xdebug or Apache will be fixed in the future so we don't have to jump through special hoops just to debug our PHP code.
(0000923)
Riptide559 (reporter)
2009-03-03 10:08

I have found a new discovery with this issue.

If I comment out the following lines in my php.ini file:

; xdebug.profiler_enable=1
; xdebug.profiler_output_dir="(temp_dir)"

then xdebug seems to run fine without crashing apache.

This only applies to Xdebug 2.0.4. In earlier versions, Xdebug will crash apache even with these lines commented out.

So perhaps the issue lies with the xdebug profiler crashing apache?
(0000926)
Riptide559 (reporter)
2009-03-04 23:56

nevermind on the aboive findings. Xdebug still crashes apache in Vista even without the profiler lines.
(0000972)
chrisppc (reporter)
2009-07-01 17:23

going back to xdebug 2.0.0 stops the crashing on setup:
vista sp1 x64
xampp 1.7.1
(0000990)
pocheptsov (reporter)
2009-07-15 23:51

I have the same crash on xampp 1.7.1. I try to use the latest 2.0.5 xdebug but have the same result. On Netbeans PHP loose connection.

vista ultimate sp2 x64
xampp 1.7.1
Apache/2.2.11 (Win32) DAV/2 mod_ssl/2.2.11 OpenSSL/0.9.8i
PHP/5.2.9
(0000993)
kdebisschop (reporter)
2009-07-16 23:26

For another data point, I'm having similar issues with XP Pro/Apache 2.2.11/PHP 5.3.0 (vc6 ts)/xdebug -2.0.5-5.3-vc6.

Works in command line, but fails in apache. I disabled all the profiler components thusly:

xdebug.profiler_aggregate = Off
xdebug.profiler_append = Off
xdebug.profiler_enable = Off
xdebug.profiler_enable_trigger = Off
xdebug.profiler_output_dir = "c:\temp"
xdebug.profiler_output_name = "cachegrind.out.%p"

And it finally started working.

I've tried each of the options one-by-one and xdebug.profiler_aggregate = Off seems to be the one that matters. YMMV.
(0000994)
derick (administrator)
2009-07-16 23:40

Before I can say anything here, I need to know *exactly*:

1. where you got Apache from
2. which Apache SAPI you use (fastcgi, cgi, apache module)
3. which PHP version you have
4. where you got PHP from
5. whether you picked the VC6 or VC9 version of PHP
6. whether you picked the VC6 or VC9 version of Xdebug
7. which Xdebug version you have
8. whether you are using the normal (thread safe) or non-thread safe version of PHP
(0000996)
kdebisschop (reporter)
2009-07-16 23:56

I don't need you to say anything - I have found a way to get it working, so I'm happy at the moment. But I'm glad to help in any way I can

1) apache_2.2.11-win32-x86-openssl-0.9.8i.msi from apache.org
2) apache module php5apache2_2.dll
3) PHP 5.3.0
4) zip from windows.php.net
5) PHP 5.3.0 (vc6 ts)
6) xdebug-2.0.5-5.3-vc6
7) xdebug-2.0.5-5.3-vc6
8) PHP 5.3.0 (vc6 ts)

Hopefully some of that info is of use to you.
(0000997)
pocheptsov (reporter)
2009-07-17 00:13

1) Apache HTTPD 2.2.11 + Openssl 0.9.8i from http://www.apachefriends.org/ [^]
2) apache module php5apache2_2.dll installed as service
3) PHP 5.2.9
4) installation from package xampp 1.7.1
5) PHP 5.2.9 (vc6 ts)
6) xdebug-2.0.5-5.3-vc6
7) xdebug-2.0.5-5.3-vc6
8) PHP 5.2.9 (vc6 ts)

Configuration
[XDebug]
;; Only Zend OR (!) XDebug
;zend_extension_ts="C:\xampp\php\ext\php_xdebug.dll"
zend_extension_ts="C:\xampp\php\ext\php_xdebug-2.0.5-5.2.dll"
xdebug.remote_enable=1
xdebug.remote_host=127.0.0.1
xdebug.remote_port=9000
xdebug.remote_handler=dbgp
xdebug.profiler_enable=1
xdebug.profiler_output_dir="C:\xampp\tmp"

Directory C:\xampp\tmp - exists
(0001002)
pocheptsov (reporter)
2009-07-25 15:09

After disabled xdebug profile (xdebug.profiler_enable=0) seems that crashes changed, and influence only on current request, but don't drop all apache process.
May be this information from Windows Log could help
Failed Application httpd.exe, version 2.2.11.0, timestamp 0x493f5d44, failed module php_xdebug.dll, version 5.2.8.8, timestamp 0x495a95b3, error code 0xc0000005, error offset 0x00008693.
(0001003)
ksafonov (reporter)
2009-07-25 16:50
edited on: 2009-07-25 16:52

Windows Vista Ultimate SP1 32 bit, Windows XP Professional SP3 32 bit

1) apache_2.2.11-win32-x86-openssl-0.9.8i.msi from http://httpd.apache.org/download.cgi [^]
2) LoadModule php5_module "path/php5apache2_2.dll" OR Action application/x-httpd-php "/php/php-cgi.exe"
3) PHP 5.3.0 PHP Extension Build API20090626,TS,VC9
4) php-5.3.0-Win32-VC9-x86.zip from php.net
5) VC9
6) VC9
7) php_xdebug-2.0.5-5.3-vc9.dll
8) TS

In 'module' way it crashes the Apache service (Vista event viewer):
Faulting application httpd.exe, version 2.2.11.0, time stamp 0x493f5d44, faulting module php_xdebug-2.0.5-5.3-vc9.dll, version 2.1.0.0, time stamp 0x4a4c79bc, exception code 0xc0000005, fault offset 0x00007533, process id 0x4f8, application start time 0x01ca0d365c189c7f.

In CGI way it crashes a php-cgi.exe call (Vista event viewer):
Faulting application php-cgi.exe, version 5.3.0.0, time stamp 0x4a492a25, faulting module php_xdebug-2.0.5-5.3-vc9.dll, version 2.1.0.0, time stamp 0x4a4c79bc, exception code 0xc0000005, fault offset 0x00005e59, process id 0x19f8, application start time 0x01ca0d331c46381f.

xdebug.profiler_enable=0 does not seem to make any result

(0001004)
ksafonov (reporter)
2009-07-25 17:22

When I installed non-thread safe version of PHP/XDebug, phpinfo() output has been displayed instead of internal server error
(0001005)
nsteblay (reporter)
2009-07-26 00:04
edited on: 2009-07-26 00:17

Apache still crashes with Xdebug loaded on Vista x64. I've been trying versions since PHP 5.2.8 with same results.

Here is my configuration.

Windows Vista Ultimate x64 Service Pack 2

The following are running as x32 applications.

WAMP 2.0i
Apache 2.2.11
php 5.3.0
MySQL 5.1.36
php5_apache module

[xdebug]
zend_extension="C:/wamp/bin/php/php5.3.0/ext/php_xdebug-2.0.5-5.3-vc6.dll"
xdebug.remote_autostart=on
xdebug.remote_enable=on
xdebug.remote_host=127.0.0.1
xdebug.remote_port=9000
xdebug.remote_handler=dbgp
xdebug.remote_mode=req
xdebug.idekey=default

This php_xdebug-2.0.5-5.3-vc6.dll is the only dll that will load successfully in this configuration.

Netbeans 6.7 PHP IDE and Firefox 3.5 being used for debugging session.

Debugging works fine. Apache will crash intermittently. I can't correlate any activity with the crash other than Xdebug being loaded in the php.ini. Without Xdebug loaded Apache is stable.

Windows Application Error Log Message

Faulting application httpd.exe, version 2.2.11.0, time stamp 0x493f5d44, faulting module php_xdebug-2.0.5-5.3-vc6.dll, version 2.0.5.0, time stamp 0x4a4c7e5f, exception code 0xc0000005, fault offset 0x000086e3, process id 0x1db8, application start time

If there is any other information I can provide please inform.

Here is my Xdebug configuration

xdebug
xdebug support enabled
Version 2.0.5

Supported protocols Revision
DBGp - Common DeBuGger Protocol $Revision: 1.125.2.6 $
GDB - GNU Debugger protocol $Revision: 1.87 $
PHP3 - PHP 3 Debugger protocol $Revision: 1.22 $

Directive Local Value Master Value
xdebug.auto_trace Off Off
xdebug.collect_includes On On
xdebug.collect_params 0 0
xdebug.collect_return Off Off
xdebug.collect_vars Off Off
xdebug.default_enable On On
xdebug.dump.COOKIE no value no value
xdebug.dump.ENV no value no value
xdebug.dump.FILES no value no value
xdebug.dump.GET no value no value
xdebug.dump.POST no value no value
xdebug.dump.REQUEST no value no value
xdebug.dump.SERVER no value no value
xdebug.dump.SESSION no value no value
xdebug.dump_globals On On
xdebug.dump_once On On
xdebug.dump_undefined Off Off
xdebug.extended_info On On
xdebug.idekey XPSVISTA$ default
xdebug.manual_url http://www.php.net [^] http://www.php.net [^]
xdebug.max_nesting_level 100 100
xdebug.profiler_aggregate Off Off
xdebug.profiler_append Off Off
xdebug.profiler_enable Off Off
xdebug.profiler_enable_trigger Off Off
xdebug.profiler_output_dir /tmp /tmp
xdebug.profiler_output_name cachegrind.out.%p cachegrind.out.%p
xdebug.remote_autostart On On
xdebug.remote_enable On On
xdebug.remote_handler dbgp dbgp
xdebug.remote_host 127.0.0.1 127.0.0.1
xdebug.remote_log no value no value
xdebug.remote_mode req req
xdebug.remote_port 9000 9000
xdebug.show_exception_trace Off Off
xdebug.show_local_vars Off Off
xdebug.show_mem_delta Off Off
xdebug.trace_format 0 0
xdebug.trace_options 0 0
xdebug.trace_output_dir /tmp /tmp
xdebug.trace_output_name trace.%c trace.%c
xdebug.var_display_max_children 128 128
xdebug.var_display_max_data 512 512
xdebug.var_display_max_depth 3 3

(0001006)
tettamanti (reporter)
2009-07-27 17:15

I'm also experiencing a crash under Windows 2k8; I'm using IIS though.
I'm using PHP 5.3 (VC9, TS - from php.net) as FastCGI, XDebug 2.0.5 (VC9, TS).

Log Name: Application
Source: Application Error
Date: 27/07/2009 17.07.48
Event ID: 1000
Task Category: (100)
Level: Error
Keywords: Classic
User: N/A
Computer: GFINDER1
Description:
Faulting application php-cgi.exe, version 5.3.0.0, time stamp 0x4a492a25, faulting module php_xdebug.dll, version 2.1.0.0, time stamp 0x4a4c79bc, exception code 0xc0000005, fault offset 0x00005e59, process id 0x1570, application start time 0x01ca0ecc0073b29a.
Event Xml:
<Event xmlns="http://schemas.microsoft.com/win/2004/08/events/event"> [^]
  <System>
    <Provider Name="Application Error" />
    <EventID Qualifiers="0">1000</EventID>
    <Level>2</Level>
    <Task>100</Task>
    <Keywords>0x80000000000000</Keywords>
    <TimeCreated SystemTime="2009-07-27T15:07:48.000Z" />
    <EventRecordID>14143</EventRecordID>
    <Channel>Application</Channel>
    <Computer>GFINDER1</Computer>
    <Security />
  </System>
  <EventData>
    <Data>php-cgi.exe</Data>
    <Data>5.3.0.0</Data>
    <Data>4a492a25</Data>
    <Data>php_xdebug.dll</Data>
    <Data>2.1.0.0</Data>
    <Data>4a4c79bc</Data>
    <Data>c0000005</Data>
    <Data>00005e59</Data>
    <Data>1570</Data>
    <Data>01ca0ecc0073b29a</Data>
  </EventData>
</Event>
(0001014)
derick (administrator)
2009-08-01 17:55

Please try the php_xdebug-2.1 versions from http://files.derickrethans.nl/xdebug-2.1-all.zip [^] — they should have a fix. Make sure you use the correct VC version with your version of apache. The apache from apache.org requires VC6, the apache from apachefriends requires VC9 builds of PHP and Xdebug.
(0001017)
neothemachine (reporter)
2009-08-01 18:36

Oh my god... finally! It works!!! I have php 5.2.6 and used the php_xdebug-2.0dev-5.3-vc6.dll, the 2.1 dll didn't work, I think this is for php 5.3. Thanks for finally fixing this!!
(0001021)
nsteblay (reporter)
2009-08-01 20:02
edited on: 2009-08-01 20:16

Unfortunately I am still having the same problem.

Here is my configuration.

Windows Vista Ultimate x64 Service Pack 2

The following are running as x32 applications.

WAMP 2.0i
Apache 2.2.11
php 5.3.0
MySQL 5.1.36
php5_apache module

[xdebug]
zend_extension="C:/wamp/bin/php/php5.3.0/ext/php_xdebug-2.1dev-5.3-vc6.dll"
xdebug.remote_autostart=on
xdebug.remote_enable=on
xdebug.remote_host=127.0.0.1
xdebug.remote_port=9000
xdebug.remote_handler=dbgp
xdebug.remote_mode=req
xdebug.idekey=default

This php_xdebug-2.1dev-5.3-vc6.dll is the only 2.1 dll that will load successfully in this configuration. I tried the vc9, nts and x64 versions but they won't load - I don't see xdebug loaded in phpinfo().

Netbeans 6.7 PHP IDE and Firefox 3.5 being used for debugging session.

Debugging works fine at first. Apache will then crash intermittently. I can't correlate any activity with the crash other than Xdebug being loaded in the php.ini. Without Xdebug loaded Apache is stable.

Windows Application Error Log Message

Faulting application httpd.exe, version 2.2.11.0, time stamp 0x493f5d44, faulting module php_xdebug-2.1dev-5.3-vc6.dll, version 2.1.0.0, time stamp 0x4a72c9fe, exception code 0xc0000005, fault offset 0x000080e6, process id 0x1900, application start time 0x01ca12ce5782e6ff

Same thing with the 2.0dev version.

Faulting application httpd.exe, version 2.2.11.0, time stamp 0x493f5d44, faulting module php_xdebug-2.0dev-5.3-vc6.dll, version 2.0.6.0, time stamp 0x4a72c9f8, exception code 0xc0000005, fault offset 0x00008713, process id 0x1f08, application start time 0x01ca12d3111ca5cf

If there is any other information I can provide please inform.

FYI. Under Ubuntu xdebug is working great.

(0001022)
neothemachine (reporter)
2009-08-01 20:15

Ok.... ahm... Maybe I cheered to early. With the previous version I could debug but even without debugging it would crash at most requests to the server. And with this new test version I don't see crashes anymore but I can't debug :) Eclipse stays at "waiting for XDebug session". The port (9000) matches the one in the php.ini.
(0001062)
trueleader (reporter)
2009-09-03 11:13
edited on: 2009-09-03 11:34

PHP 5.2.6 & php_xdebug-2.0dev-5.3-vc6.dll
- XDebug loads @ phpinfo
- Debug does not work
- No Apache crashes

PHP 5.3.0 & php_xdebug-2.1dev-5.3-vc6.dll
- XDebug loads @ phpinfo
- Debug works
- Apache crashes

Fehlerhafte Anwendung httpd.exe, Version 2.2.11.0, Zeitstempel 0x493f5d44, fehlerhaftes Modul php_xdebug.dll, Version 2.1.0.0, Zeitstempel 0x4a72c9fe, Ausnahmecode 0xc0000005, Fehleroffset 0x00009933, Prozess-ID 0x139c, Anwendungsstartzeit 01ca2c73adae6870.
Fehlerhafte Anwendung httpd.exe, Version 2.2.11.0, Zeitstempel 0x493f5d44, fehlerhaftes Modul php_xdebug.dll, Version 2.1.0.0, Zeitstempel 0x4a72c9fe, Ausnahmecode 0xc0000005, Fehleroffset 0x0000ef19, Prozess-ID 0xb88, Anwendungsstartzeit 01ca2c73b5635e90.
Fehlerhafte Anwendung httpd.exe, Version 2.2.11.0, Zeitstempel 0x493f5d44, fehlerhaftes Modul php_xdebug.dll, Version 2.1.0.0, Zeitstempel 0x4a72c9fe, Ausnahmecode 0xc0000005, Fehleroffset 0x0001686d, Prozess-ID 0x1140, Anwendungsstartzeit 01ca2c7402a47040.
Fehlerhafte Anwendung httpd.exe, Version 2.2.11.0, Zeitstempel 0x493f5d44, fehlerhaftes Modul php_xdebug.dll, Version 2.1.0.0, Zeitstempel 0x4a72c9fe, Ausnahmecode 0xc0000005, Fehleroffset 0x000080e6, Prozess-ID 0x1494, Anwendungsstartzeit 01ca2c750df5aa80.

(0001069)
szworker (reporter)
2009-09-12 04:56
edited on: 2009-09-12 06:17

Thanks your guy, I have same kind of these problems. My problem starts from cannot load xdebug, then I can load xdebug but then netbean 6.7.1 (and also eclipse) debugger does not stop at breakpoints. and Finally I solved all of them by looking to your guys experience. I would like to contribute my solution here.

This solution make xdebug works with netbean 6.7.1 but not sure whether it will spontaniously crash apache or not (because I just try 2-3 time its ok)

Os: vista Home service pack1
system: WampServer 2.0i [07/11/09] its normal wamp default installation
        Includes :
         - Apache 2.2.11
         - MySQL 5.1.36
         - PHP 5.3.0
htdocs: no change

php.ini:
[xdebug]
zend_extension="C:/wamp/bin/php/php5.3.0/ext/php_xdebug-2.0.5-5.3-vc6.dll"
xdebug.remote_enable=On
xdebug.profiler_output_dir="C:\wamp\temp"
xdebug.profiler_enable=1
xdebug.remote_handler = "dbgp"
xdebug.remote_host=127.0.0.1
;xdebug.profiler_output_name=cachegrind.out.%t.%p

my solution is to put this xdebug to both
 c:\wamp\bin\apache\Apache2.2.11\bin\php.ini
and
 c:\wamp\bin\php\php5.3.0\php.ini

and it works! (at least for now)

(0001071)
maanes (reporter)
2009-09-13 19:53

Apache crashs always, when xdebug is loaded.
My System: Vista SP2
Xampp for Windows 1.7.2
php_xdebug-2.1dev-5.3-vc6.dll
- XDebug loads @ phpinfo
- Apache crashes
(on my experience the version of xdebug doesn't matter. I testet the system with any version, apache crashes at once,when xdebug is successfull loaded).
The same configuration on Win-XP in a VirtualBox (on the same machine with vista as host-system): everything run fine.
(0001073)
nsteblay (reporter)
2009-09-14 04:40

I tried szworker's recommendation. I don't believe it has anything to do with modifying two php.ini files. The one WAMP uses is the apache one. Trying the recommended approach I still get the apache crash.
(0001074)
szworker (reporter)
2009-09-15 04:32

I would like to confirm that the apache crash using my above method.
(0001075)
wizonesolutions (reporter)
2009-09-18 02:26

I also get crashes. You asked some questions above...here are the answers:

1. where you got Apache from
-bundled with WampServer 2.0i (using Apache 2.2.11)
2. which Apache SAPI you use (fastcgi, cgi, apache module)
-Apache module
3. which PHP version you have
-Currently running 5.2.9-2 - can't try 5.3 because of deprecated functions causing incompatibility with my application and no time to address them right now
4. where you got PHP from
-WampServer install
5. whether you picked the VC6 or VC9 version of PHP
-I believe it's VC6
6. whether you picked the VC6 or VC9 version of Xdebug
-VC6 version of Xdebug
7. which Xdebug version you have
-I've tried all from 2.0.0 to 2.0.5. I also tried 2.0dev and 2.1dev but don't think I got them working because of the aforementioned non-usage of PHP 5.3.
8. whether you are using the normal (thread safe) or non-thread safe version of PHP
-thread-safe

Some other notes:
-Depending on the version of Xdebug, results range from works until I cancel a debugging session from my IDE (2.0.0) and then works again after an Apache restart to crashes all the time (2.0.1, 2.0.2, 2.0.3) to crashes sometimes and gets worse the longer Apache is running (2.0.4, 2.0.5). 2.0.5 WAS working reasonably well for a while, but seemed to get unbearable a bit later on. Might've just been whatever I was doing that day. But anyway, I notice that using phpMyAdmin is a pretty good way to crash Xdebug.

-The same setup (2.0.5, Apache 2.2.11, PHP 5.2.9-2) on a VirtualBox XP guest also works really well for me. I'm still trying to get it working on my host system though because of the memory it takes to run the VM.

If I can provide logs or more information, please let me know.

Has anybody tried with Apache 2.2.13?

Kevin
(0001078)
johnbrown (reporter)
2009-09-28 12:38

Also get randomly Apache crashes on win7 RC 32bit.

1. where you got Apache from
-bundled with WampServer 2.0i (using Apache 2.2.11)
2. which Apache SAPI you use (fastcgi, cgi, apache module)
-Apache module
3. which PHP version you have
-5.3
4. where you got PHP from
-WampServer install
5. whether you picked the VC6 or VC9 version of PHP
-VC6
6. whether you picked the VC6 or VC9 version of Xdebug
-VC6 version of Xdebug
7. which Xdebug version you have
-I've tried all from 2.0.0 to 2.0.5. I also tried 2.0dev and 2.1dev.
8. whether you are using the normal (thread safe) or non-thread safe version of PHP
-thread-safe

phpMyAdmin is good way to get Apache crashe.
(0001080)
gav-developer (reporter)
2009-10-03 17:32

Hi, I also have problems setting up Xdebug, my details are below (using a standard default XAMPP installation) :-

1. where you got Apache from
- bundled with XAMPP 1.7.1
2. which Apache SAPI you use (fastcgi, cgi, apache module)
- Apache module
3. which PHP version you have
- 5.2.9
4. where you got PHP from
- bundled with XAMPP 1.7.1
5. whether you picked the VC6 or VC9 version of PHP
- VC6
6. whether you picked the VC6 or VC9 version of Xdebug
- VC6 version of Xdebug
7. which Xdebug version you have
- Xdebug 2.0.5
8. whether you are using the normal (thread safe) or non-thread safe version of PHP
- Normal (thread safe)


Any help getting this to work would be much appreciated :-)
Thanks in advance
(0001085)
mindplay (reporter)
2009-10-09 20:50

Over the last couple of years, I have tried many times to install xdebug on my Vista 64 machine, without luck.

Today, I decided to try again - I created a 32-bit VM running XP, and installed the XAMPP 1.7.2 Basic package. I successfully configured the xdebug binary that comes with that distribution, and it runs without problems. I installed NetBeans and have that configured and working too, debugging and breakpoints and all, wonderful stuff!!

I configured my XAMPP setup for portability, so that once I had proven that it works, I would be able to move it to my real machine. I wanted to see it run on a 32-bit OS in a VM first, because I have never seen it working on a 64-bit Vista machine yet.

And still no luck - it crashes every 1-2 requests or so.

I've tried replacing the DLL with every single binary is the zip archive provided by derick above (2009-08-01) - still haven't seen one that works.

Also, quoting derick, "The apache from apache.org requires VC6, the apache from apachefriends requires VC9 builds of PHP and Xdebug." ... how come? ... when I do a phpinfo() on my XAMPP setup, it says it was built with MSVC6. Why would it require a VC9 build?

Giving serious thought to going back to Windows XP at this point - I have been living without a debugger for about two years now, since I switched to Vista, and it's been agony. I'm losing faith that I will ever see xdebug (or any debugger for that matter) running on Vista 64. I am also grieving my decision to buy a 64-bit machine - it's been painful all the way.

A word of advice to web developers using Windows: stick with Windows XP and buy a 32-bit machine. It seems unlikely that this stuff will ever be suitable for serious web development...
(0001086)
wizonesolutions (reporter)
2009-10-09 20:56

Yes, I feel your main mindplay. I eventually just wound up using an Ubuntu VM and Eclipse. I find Apache and PHP snappier on this setup, anyway (than with XP), so if you have any Linux familiarity, it might be worth it to try that. My Vista is nothing but a browser platform now. I even moved my databases to my physical Linux box because it's a bit faster.

Linux VMs get by better with less memory (in general) than XP ones as well. I still have my XP VM, though, and I can also attest to the fact that Xdebug works much better there.

But currently I find myself back on Ubuntu for local Web dev and not regretting it :)

Good luck,
Kevin
(0001087)
mindplay (reporter)
2009-10-09 21:11

Thanks for the advice - I have been pondering an Ubuntu install for at least a year now, the problem is actually getting around to it. I have no real experience with Linux as a desktop environment.

For the record, and I'm hoping maybe this can help someone track down the problem, I found one binary that "almost" works. Persistent and somewhat adamant, I went and downloaded every single 32-bit thread-safe binary from the xdebug download page.

I found this one to be "almost" working:

http://xdebug.org/files/php_xdebug-2.0.5-5.3-vc6.dll [^]

With this one, there was no crash immidiately when running a phpinfo().

There was even no crash when loading up the XAMPP welcome page, or phpMyAdmin and hitting some different pages. It ran for a minute, then it crashed.

And here's the clue that I'm hoping might be helpful:

I noticed that my phpinfo() page never crashed with this binary. Only when I hit a page with frames (e.g. the XAMPP welcome page or phpMyAdmin) do I seem to get a crash. I actually held down CTRL+R on the phpinfo() test page, and it never crashes.

Then I ran some tests using apache bench:

ab -n 1000 -c 1 http://test/test.php [^]

This runs phpinfo() 1000 times in succession, no problem - no crashes. I tried about 5 or 10 times, never a crash.

ab -n 1000 -c 2 http://test/test.php [^]

Sometimes crashes. Not every time, maybe every other time.

ab -n 1000 -c 10 http://test/test.php [^]

Crashes immediately - every single time!

So it looks like it's a threading/concurrency issue.

As a temporary workaround, and perhaps to confirm this theory - does anyone know how to limit the number of concurrent requests with Apache? Even with just one thread, this should still be a lot less painful to work with than the cgi-binary, loading the PHP interpreter and plugins on every request, right?
(0001120)
firec (reporter)
2009-11-05 16:48

going back to xdebug 2.0.0 stops the crashing on setup:
vista sp2 x32
wamp 2.0 - apache 2.2.11, php 5.2.9
netbeans debugging works fine too!
(0001127)
sporty (reporter)
2009-11-15 14:06

I could install xdebug on php using xampp 1.7.1, but some code snippets only worked using xampp 1.7.2, i.e: php 5.3
I am using windows xp, so any help on how to install xdebug on xampp 1.7.2
I tried uncommenting the following lines but it didn't work:
-Find and uncomment the line zend_extension = "XAMPP_HOME\php\ext\php_xdebug.dll".
-Find and uncomment the line xdebug.remote_host=localhost. Change the value of the setting from localhost to 127.0.0.1.
-Find and uncomment the line xdebug.remote_enable = 0. Change 0 to 1.
-Find and uncomment the line xdebug.remote_handler = "dbgp".
-Find and uncomment the line xdebug.remote_port = 9000.
(0001129)
sporty (reporter)
2009-11-16 12:21

thanks everybody I figured it out, I checked the error.log in apache and found that I was using a different xdebug.dll than the package's one which wasn't suitable.
(0001131)
juancr (reporter)
2009-11-17 04:35

Anyone care to try this build:

http://www.jcxsoftware.com/xdebug/php_xdebug-2.1-php5.3-VC9.zip [^]

It is for PHP 5.3 and has some fixes that address a couple of crashes that I saw. I can't make it crash again.

If you can make it crash, would be interested in the mem dump.

Thanks,

Juan Rivera
VS.Php for Visual Studio
(0001132)
kdebisschop (reporter)
2009-11-17 15:13

Juan -- Thanks!

I just tried your build with PHP-5.3.1(RC4) and Apache/2.2.14 from http://www.apachehaus.com/ [^] and it seems to work so far. I'll plug it into the rest of my testing cycle, but at this point I'm excited just to be able to run phpinfo() with xdebug for the first time in more than 4 months!
(0001133)
juancr (reporter)
2009-11-18 02:43

kdebisschop,

Glad to hear it. I created a page with multiple iframes accessing different pages to see if I made it crash and it hold up well.

One of the issues I fixed had to do with HTTP headers. I don't have the final fix right now so you could see headers repeated. I don't know if that's possible but I disabled some code that checks for repeated headers.

So if you log the HTTP headers, I'd be interested to know in what scenario HTTP headers are repeated so I can fix it properly.

I will also send the patches to Derrick for code review...
(0001134)
mindplay (reporter)
2009-11-18 04:22

juancr: tried your build - no crash, no error message ... apache starts with the zend_extension entry in place - but it doesn't look like the extension is loading at all. There's no mention of xdebug on my phpinfo() page at all.

My PHP was built with MSVC6, could that be why? Will I need a VC9 build of Apache as well as PHP? Both my Apache and PHP builds came from one of the latest XAMPP distributions.

If so, any idea where I can get a "complete" PHP build with SSL, SPL, GD, etc.?

Appreciate your efforts, thank you!
(0001135)
derick (administrator)
2009-11-18 08:53

Juan,
I've been looking into the header repeating issue. I don't know why exactly it happens, but it seems something in the threaded environment doesn't get reset properly.

Mindplay,
Yes, your PHP's compiler (vs6) needs to match both Apaches, as well as Xdebug. If you mix VS6 with VS9 builds things will crash.

Derick
(0001136)
juancr (reporter)
2009-11-18 12:54

I see two problems with the header list. One the list pointer sometimes is null causing a crash. And sometimes the second function pointer points to the same function causing a stack overflow.

For now I always return the HEADER ADD value always which may cause headers to be repeated I supposed, but I haven't seen that happen anyways...

I also fixed a global that was unnititialized and was used as an array index. I always set it up to 0 and that no longer crashes.

Those were the only two crashes that I saw in my system.

BTW, I saw you put the zend_try around the expression eval, that's really nice. Now I can send to xdebug anything without worrying that the session will stop.

Thanks,

Juan
(0001137)
derick (administrator)
2009-11-18 12:56

@Juan: Yes, I see the same two issues. Do you have a patch for the other thing though?
(0001138)
trueleader (reporter)
2009-11-18 13:38

Nice work

Crashing behavior are mutch better in this version
I had 1 crash until now but dont had diagnostics turned on ...maybe i stoped and restartet debugging to fast

Eclipse now shows the GLOBALS again - nice ^^

One odd thing which must maybe fixed by Eclipse: Only on the first request breakpoints stops:
- I have a PHP form script with a breakpoint somewhere
- I access the form via browser: the process stops on die breakpoint
- I resume the script and fill out the created form
- On submit the form is sent back to the same script: The breakpoint does not stop


Greetings
True
(0001139)
mindplay (reporter)
2009-11-18 14:21

Derick: do you know of anyone maintaining a public VS9 build of Apache, PHP and common extensions? Or do you guys all build your own?
(0001140)
derick (administrator)
2009-11-18 14:24

I think the Apachefriends one is VS9... but I don't really know as I usually try to stay away from Windows as much as I can.
(0001141)
kdebisschop (reporter)
2009-11-18 15:17

http://www.apachehaus.com/ [^] is VC9 but has, as far as I can see, the same modules built and layed out in the same way. Other than the fact that I chose to switch from the time consuming .msi to the much quicker and cygwin-friendly .zip file, it was pretty much a drop-in replacement, at least to the extent that you keep the same install path.
(0001142)
trueleader (reporter)
2009-11-18 19:31

I found an big (i tell it big ^^) issue with your version:

all headers set by user scripts are ignored while xDebug is activated (or are there any options for this?)

Following example returns an 302 header but without location:
<?php
header("Location: http://twitter.com" [^]);
exit;
(0001146)
juancr (reporter)
2009-11-21 22:39

I updated it and fixed the header issue:

http://www.jcxsoftware.com/xdebug/php_xdebug-2.1-php5.3-VC9.zip [^]

Also put a few more fixes for new crashes that I see.

Juan
(0001147)
derick (administrator)
2009-11-21 23:04

Juan,

can you *please* provide those patches and not just the binaries?

Derick
(0001148)
juancr (reporter)
2009-11-21 23:36

Ok here is the patch:

http://www.jcxsoftware.com/xdebug/xdebug-bug410.patch [^]

Juan
(0001174)
trueleader (reporter)
2009-11-23 13:03

Header issue is not fully fixed but better than before

After apache start all works
- I called one of our project sites (Dynamic output with gzip compressed) - all fine
- reloaded the page some times with Ctrl+R
- After two/three reloads the needed gzip header "content-encoding: gzip" disappeard
- Above postet test script also didn´t work now
- Only Apache restart helps getting the header back to work
(0001176)
migajek (reporter)
2009-11-24 15:44

I downloaded latest XAMPP package, then replaces XDebug with one obtained from this site (2.0.5, VC6, thread safe) in order to get "property_get" bug fixed (which, btw, wasn't fixed). Now my Apache crashes on almost each "eval" ...
PHP 5.3
(0001192)
jonas (reporter)
2009-12-06 11:54

had the same issue on win7 x64: installed apache 2.2.14, php 5.2.11 and xdebug 2.0.5, resulted in apache crash with status 255 and windows event entry with code 0xc0000005 on every second request. tried also xdebug with 2.0.4 without success.

in other forums it was suggested to update libmysql.dll which didn't do the trick. however, turning off the php_mysqli.dll-module (NOT php_mysql.dll) fixed it for me. hope this helps.
(0001195)
vafliik (reporter)
2009-12-09 09:45
edited on: 2009-12-09 19:02

Well, running xdebug with xampp 1.7.2. on Vista seems almost impossible for me now :( With the bundled xdebug enabled, Apache keeps crashing.

With WinXP it works like charm (just uncommented the line in php.ini and it worked).

I tried to download & enable different versions of xdebug (I was so desperate I tried every available xdebug .dll). Some of them caused Apache to crash again, some could not be loaded.

I guess I will have to revert back to some previous version of xampp. I love xdebug and cannot imagine working without it. Hope there will be some solution for this soon.

EDIT: I just downloaded XAMPP 1.7.3-beta2 with xdebug v2.0.6-dev and it is working without problem!!! I just enabled the bundled xdebug in php.ini. Great job!

(0001197)
mindplay (reporter)
2009-12-14 01:11

Finally got around to testing this on Windows 7 (32-bit), and it crashes there too. So it looks like it's OS-specific (Vista and Win7) and perhaps not a 32 vs 64 bit issue.
(0001198)
mindplay (reporter)
2009-12-14 14:09

Gave the XAMPP 1.7.3 beta 2 a quick run last night, and it seemed to work on 64-bit Vista!

Not sure how that happened though - have the attempted fixes from this discussion been integrated with XAMPP already? (perhaps someone from the XAMPP team is part of this discussion?)

Haven't tested this in-depth yet.
(0001206)
Soul--Reaver (reporter)
2009-12-24 22:19
edited on: 2010-01-04 17:34

I'm running Windows 7 64bit with Apachelounges Apache 2.2.14 together with php 5.3.1 vc9

When i use zend_extension= the apache child process crashes at the expected moments, but when i use extension= to load php_xdebug.dll everything seems to work stable for now

I'm using xdebug 2.0.5 (php_xdebug-2.0.5-5.3-Win32-VC9-x86.zip) from the following page: http://downloads.php.net/pierre/ [^]

Soul--Reaver

(0001236)
snop (reporter)
2009-12-30 00:42

Hi,

the same with PHP 5.3.1 VC6 32bit with php_xdebug-2.0.5-5.3-vc6.dll and apache 2.2.14

config is:
zend_extension="./ext/php_xdebug-2.0.5-5.3-vc6.dll"
xdebug.remote_enable="1"
xdebug.remote_host="localhost"
xdebug.remote_port=9000
xdebug.remote_handler=dbgp
xdebug.remote_mode=req
xdebug.idekey="ECLIPSE_DBGP"
(0001247)
trueleader (reporter)
2010-01-04 10:52

vacation ended, would test soul-reaver´s post, started last version of apache
-> all works. I don´t know why but now the patch from juncr (post 1148) sends the headers all the time. Didn´t changed anything. Hope this state will be stable.
Sorry @ juncr
(0001248)
derick (administrator)
2010-01-04 10:59

For everybody on this thread, please try the latest Windows .dlls:

http://derickrethans.nl/xdebug-210beta1.html [^]
(0001251)
trueleader (reporter)
2010-01-04 17:06

php_xdebug-2.1.0beta1-5.3-vc9.dll with PHP5.3.0VC9 on Apache2.2.14VC9: crashes most of the times when calling "phpinfo()"
(0001252)
Soul--Reaver (reporter)
2010-01-04 17:18
edited on: 2010-01-04 17:32

Tested 2.1.0beta1 (php_xdebug-2.1.0beta1-5.3-vc9.dll)

I'm still running Windows 7 64bit with Apachelounges Apache 2.2.14 together with php 5.3.1 vc9 32bit

When i use zend_extension= the apache child process crashes at the expected moments, when i use extension= to load php_xdebug.dll the apache child process also crashes at the same moments

Using extension= (instead of zend_extension=) to load php_xdebug.dll version 2.0.5 still seems to work stable for me so far 0000410:0001206

The best way to test the crashing as far as i know is using phpmyadmin. Just load the main phpmyadmin page and you should have a crash every single time. With a phpinfo() page i only had crashes with 2.1.0 every 3-4 page requests

I did notice that the php_xdebug.dll is no longer noted as the crashing module every single time, see below for the different variants i've seen

--------------------------------

Faulting application name: httpd.exe, version: 2.2.14.0, time stamp: 0x4ac24608
Faulting module name: unknown, version: 0.0.0.0, time stamp: 0x00000000
Exception code: 0xc0000005

--------------------------------

Faulting application name: httpd.exe, version: 2.2.14.0, time stamp: 0x4ac24608
Faulting module name: php5apache2_2.dll, version: 5.3.1.0, time stamp: 0x4b05170f
Exception code: 0xc0000005

--------------------------------

Faulting application name: httpd.exe, version: 2.2.14.0, time stamp: 0x4ac24608
Faulting module name: php_xdebug.dll, version: 2.1.0.0, time stamp: 0x4b3fd987
Exception code: 0xc0000005

--------------------------------

Faulting application name: httpd.exe, version: 2.2.14.0, time stamp: 0x4ac24608
Faulting module name: ntdll.dll, version: 6.1.7600.16385, time stamp: 0x4a5bdb3b
Exception code: 0xc0000005

--------------------------------

Soul--Reaver

(0001255)
trueleader (reporter)
2010-01-05 09:13
edited on: 2010-01-05 09:18

@soul-reaver:
Apache crashes on startup if I remove "zend_" in php.ini. The eventlog then shows the info you posted above and the phperror.log tells "Xdebug MUST be loaded as a Zend extension in Unknown on line 0"

----

The header issue once again happend this morning ... restarted webserver and all is working... suspicious ^^

(0001287)
trueleader (reporter)
2010-01-27 14:46

The header issue i descriped are triggered also by multiple requests.
I started localy a request of an script, which outputs an HTML Page with multiple requests to CSS and Image Files. On Document Load it starts 3 XAjax Requests. Only 1 of them gets the XML Header, the others don´t
(0001333)
trueleader (reporter)
2010-02-15 13:20

Added an additional Dev Environment on my machine:

IIS7 with PHP5.3.1 VC9 NTS and php_xdebug-2.1.0beta2-5.3-vc9-nts.

I don´t had any crash or header issue until now. Maybe the crashes are TS related (http://neosmart.net/blog/2008/dont-believe-the-lies-php-isnt-thread-safe-yet/ [^]), nobody of the comments had trouble with NTS PHP?
(0001335)
derick (administrator)
2010-02-16 00:55

I've just uploaded new Windows binaries to http://xdebug.org/files/xdebug-latest.tgz [^] which should contain a binary that has a few crash bugs fixed. Please try.
@trueleader, the header issue should definitely be fixed in the new binaries, and yes, they only occurred for a threaded PHP.
(0001336)
derick (administrator)
2010-02-16 00:56

I've just uploaded new Windows binaries to http://xdebug.org/files/xdebug-latest.tgz [^] which should contain a binary that has a few crash bugs fixed. Please try.
@trueleader, the header issue should definitely be fixed in the new binaries, and yes, they only occurred for a threaded PHP.
(0001342)
groundup (reporter)
2010-02-16 15:52

derick,

I've tested the latest binary (php_xdebug-2.1dev-5.3-vc6) using XAMPP which is Apache 2.2.12 and PHP 5.3.0 - it no longer crashes.
(0001343)
Soul--Reaver (reporter)
2010-02-16 17:09

@derick, I also tested the binary (php_xdebug-2.1dev-5.3-vc9.dll) from note 0000410:0001336. I've loaded it with zend_extension. The crashes i was able to reproduce with phpmyadmin are gone :D
(0001344)
trueleader (reporter)
2010-02-16 17:32

I used the version of note 0001336 the whole workday

N1 work.
xDebug is activated and the server does not crash any time while not debugging.
The header issue also doesn´t happend

I had a few crashes while debugging which are reported as xDebug related in the eventlog ... but I didn´t know if they are realy caused by xDebug or by an bad implementation of the client in Eclipse PDT:
- A request is debugged with breakpoint
- I started another request whith other parameters
- Eclipse breaks at the breakpoint and then the server crashes
- It automatically restarts and Eclipse breaks (I don´t resend the request)
- Now Eclipse doesn´t show variable contents any more
I must restart Eclipse to get the variables shown again.
Weired but as I said -> it only happens a few times this day and therefor I can live with it ;)


Again: n1 work
(0001348)
derick (administrator)
2010-02-17 00:31

Closing, as this seems fixed now.

- Issue History
Date Modified Username Field Change
2008-10-02 05:32 dyrathror New Issue
2008-10-02 21:29 bugsbunny Note Added: 0000879
2008-10-02 21:30 bugsbunny Note Edited: 0000879
2008-10-08 02:56 dyrathror Note Added: 0000880
2009-01-31 06:12 Riptide559 Note Added: 0000908
2009-02-01 10:21 victor Note Added: 0000909
2009-02-11 10:34 kpym Note Added: 0000912
2009-02-11 22:28 Riptide559 Note Added: 0000913
2009-02-12 17:45 kpym Note Added: 0000914
2009-02-19 02:03 Riptide559 Note Added: 0000915
2009-02-19 02:07 Riptide559 Note Added: 0000916
2009-02-19 03:59 dyrathror Note Added: 0000917
2009-02-19 04:50 Riptide559 Note Added: 0000918
2009-03-03 10:08 Riptide559 Note Added: 0000923
2009-03-04 23:56 Riptide559 Note Added: 0000926
2009-07-01 17:23 chrisppc Note Added: 0000972
2009-07-05 21:59 derick Relationship added has duplicate 0000449
2009-07-05 23:25 derick Relationship added has duplicate 0000438
2009-07-15 23:51 pocheptsov Note Added: 0000990
2009-07-16 23:26 kdebisschop Note Added: 0000993
2009-07-16 23:40 derick Note Added: 0000994
2009-07-16 23:40 derick Status new => feedback
2009-07-16 23:56 kdebisschop Note Added: 0000996
2009-07-17 00:13 pocheptsov Note Added: 0000997
2009-07-25 15:09 pocheptsov Note Added: 0001002
2009-07-25 16:50 ksafonov Note Added: 0001003
2009-07-25 16:52 ksafonov Note Edited: 0001003
2009-07-25 17:22 ksafonov Note Added: 0001004
2009-07-26 00:04 nsteblay Note Added: 0001005
2009-07-26 00:07 nsteblay Note Edited: 0001005
2009-07-26 00:17 nsteblay Note Edited: 0001005
2009-07-27 17:15 tettamanti Note Added: 0001006
2009-08-01 17:55 derick Note Added: 0001014
2009-08-01 18:36 neothemachine Note Added: 0001017
2009-08-01 20:02 nsteblay Note Added: 0001021
2009-08-01 20:04 nsteblay Note Edited: 0001021
2009-08-01 20:15 neothemachine Note Added: 0001022
2009-08-01 20:16 nsteblay Note Edited: 0001021
2009-09-03 11:13 trueleader Note Added: 0001062
2009-09-03 11:34 trueleader Note Edited: 0001062
2009-09-12 04:56 szworker Note Added: 0001069
2009-09-12 04:58 szworker Note Edited: 0001069
2009-09-12 06:17 szworker Note Edited: 0001069
2009-09-13 19:53 maanes Note Added: 0001071
2009-09-14 04:40 nsteblay Note Added: 0001073
2009-09-15 04:32 szworker Note Added: 0001074
2009-09-18 02:26 wizonesolutions Note Added: 0001075
2009-09-28 12:38 johnbrown Note Added: 0001078
2009-10-03 17:32 gav-developer Note Added: 0001080
2009-10-09 20:50 mindplay Note Added: 0001085
2009-10-09 20:56 wizonesolutions Note Added: 0001086
2009-10-09 21:11 mindplay Note Added: 0001087
2009-11-05 16:48 firec Note Added: 0001120
2009-11-15 14:06 sporty Note Added: 0001127
2009-11-16 12:21 sporty Note Added: 0001129
2009-11-17 04:35 juancr Note Added: 0001131
2009-11-17 15:13 kdebisschop Note Added: 0001132
2009-11-18 02:43 juancr Note Added: 0001133
2009-11-18 04:22 mindplay Note Added: 0001134
2009-11-18 08:53 derick Note Added: 0001135
2009-11-18 12:54 juancr Note Added: 0001136
2009-11-18 12:56 derick Note Added: 0001137
2009-11-18 13:38 trueleader Note Added: 0001138
2009-11-18 14:21 mindplay Note Added: 0001139
2009-11-18 14:24 derick Note Added: 0001140
2009-11-18 15:17 kdebisschop Note Added: 0001141
2009-11-18 19:31 trueleader Note Added: 0001142
2009-11-21 22:39 juancr Note Added: 0001146
2009-11-21 23:04 derick Note Added: 0001147
2009-11-21 23:36 juancr Note Added: 0001148
2009-11-23 13:03 trueleader Note Added: 0001174
2009-11-24 15:44 migajek Note Added: 0001176
2009-11-27 16:52 derick Relationship added has duplicate 0000481
2009-11-27 16:53 derick Relationship added has duplicate 0000436
2009-11-27 16:54 derick Relationship added has duplicate 0000452
2009-11-27 16:55 derick Relationship added has duplicate 0000399
2009-11-27 16:55 derick Relationship added has duplicate 0000454
2009-11-27 16:58 derick Relationship added has duplicate 0000430
2009-11-27 16:58 derick Relationship added has duplicate 0000426
2009-11-27 17:00 derick Relationship added has duplicate 0000397
2009-11-27 17:03 derick Relationship added has duplicate 0000387
2009-11-27 17:05 derick Relationship added has duplicate 0000383
2009-11-27 17:06 derick Relationship added has duplicate 0000377
2009-11-27 17:06 derick Relationship added has duplicate 0000350
2009-12-06 11:54 jonas Note Added: 0001192
2009-12-09 09:45 vafliik Note Added: 0001195
2009-12-09 19:02 vafliik Note Edited: 0001195
2009-12-14 01:11 mindplay Note Added: 0001197
2009-12-14 14:09 mindplay Note Added: 0001198
2009-12-24 22:19 Soul--Reaver Note Added: 0001206
2009-12-30 00:42 snop Note Added: 0001236
2010-01-04 10:52 trueleader Note Added: 0001247
2010-01-04 10:59 derick Note Added: 0001248
2010-01-04 17:06 trueleader Note Added: 0001251
2010-01-04 17:18 Soul--Reaver Note Added: 0001252
2010-01-04 17:32 Soul--Reaver Note Edited: 0001252
2010-01-04 17:34 Soul--Reaver Note Edited: 0001206
2010-01-04 17:34 Soul--Reaver Note Edited: 0001206
2010-01-05 09:13 trueleader Note Added: 0001255
2010-01-05 09:18 trueleader Note Edited: 0001255
2010-01-27 14:46 trueleader Note Added: 0001287
2010-02-15 13:20 trueleader Note Added: 0001333
2010-02-16 00:55 derick Note Added: 0001335
2010-02-16 00:56 derick Note Added: 0001336
2010-02-16 15:52 groundup Note Added: 0001342
2010-02-16 17:09 Soul--Reaver Note Added: 0001343
2010-02-16 17:32 trueleader Note Added: 0001344
2010-02-17 00:31 derick Note Added: 0001348
2010-02-17 00:31 derick Status feedback => closed
2010-02-17 00:31 derick Resolution open => fixed
2016-07-31 13:35 derick Category Debug client (console) => debugclient (debugging tool)
2016-07-31 13:35 derick Category debugclient (debugging tool) => (No Category)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker